set_error_handler
trigger_error
Error Handling Functions
PHP Manual

# set_exception_handler

(PHP 5)

set_exception_handler — Sets a user-defined exception handler function

### Description

string set_exception_handler ( callback `$exception_handler` )

Sets the default exception handler if an exception is not caught within a try/catch block. Execution will stop after the `exception_handler` is called.

### Parameters

`exception_handler`

  Name of the function to be called when an uncaught exception occurs. This function must be defined before calling set_exception_handler(). This handler function needs to accept one parameter, which will be the exception object that was thrown.

### Return Values

Returns the name of the previously defined exception handler, or `NULL` on error. If no previous handler was defined, `NULL` is also returned.

### Examples

Example #1 set_exception_handler() example

`<?php
function exception_handler($exception) {
echo "Uncaught exception: " , $exception->getMessage(), "\n";
}
set_exception_handler('exception_handler');
throw new Exception('Uncaught Exception');
echo "Not Executed\n";
?>`

### See Also

- restore_exception_handler() - Restores the previously defined exception handler function
- restore_error_handler() - Restores the previous error handler function
- error_reporting() - Sets which PHP errors are reported
- information about the callback type
- PHP 5 Exceptions

set_error_handler
trigger_error
Error Handling Functions
PHP Manual